@echo off

set makagiga_java_launcher=java.exe
set makagiga_bundled_java_launcher_64="java-windows-x64\bin\java.exe"

if exist "%makagiga_bundled_java_launcher_64%" (
	set makagiga_java_launcher="%makagiga_bundled_java_launcher_64%"
)

"%makagiga_java_launcher%" "-Djava.properties.date=#" -Xms32m -Xmx256m -jar makagiga.jar %makagiga_portable_arg% %*
